Delete a SIP trunk gateway
DELETE
/v1/voice/trunks/{trunk_id}/gateways/{gateway_id}
await bird.voice.trunks.gateways.delete("TRUNK_ID", "GATEWAY_ID");client.voice.trunks.gateways.delete("TRUNK_ID", "GATEWAY_ID")if err := client.Voice.Trunks.Gateways.Delete(context.Background(), "TRUNK_ID", "GATEWAY_ID"); err != nil {
log.Fatal(err)
}$bird->voice->trunks->gateways->delete('TRUNK_ID', 'GATEWAY_ID');bird voice trunks gateways delete <trunk-id> <gateway-id> --yescurl -X DELETE "https://us1.platform.bird.com/v1/voice/trunks/{trunk_id}/gateways/{gateway_id}" \
-H "Authorization: Bearer $TOKEN"Removes the gateway. Calls already ringing this address are not affected. Removing the last gateway leaves inbound calling enabled but removes its delivery targets. New inbound calls to numbers routed to this trunk are refused until a gateway is added back. The trunk must have inbound calling enabled, otherwise this returns 412 Precondition Failed.
Parameters
trunk_id
string
gateway_id
string
Gerelateerde bronnen
Ga verder met de documentatie, gidsen en voorbeelden voor dit onderwerp. De bronnen zijn in het Engels.
Begrijp het conceptShould I use a Bird SDK or call the API directly?Volg het leerpadBuild your first integrationImplementatiegidsSend your first email
Ontvang een implementatieoverzicht